package eu.jonahbauer.wizard.core.machine.states.round;

import eu.jonahbauer.wizard.core.machine.states.GameData;
import eu.jonahbauer.wizard.core.machine.Game;
import eu.jonahbauer.wizard.core.machine.GameState;

import java.util.Optional;

public final class StartingRound extends RoundState {
    public StartingRound(GameData data) {
        super(data);
    }

    @Override
    public Optional<GameState> onEnter(Game game) {
        return transition(new Dealing(getData()));
    }
}
